package com.fjhx.wms.entity.stock.emums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum JournalType {

    COMBINATION_IN(InOutType.IN, 6, "组合入库", "group_record_details"),
    COMBINATION_OUT(InOutType.OUT, 7, "组合出库", "group_record_details"),
    SPLIT_IN(InOutType.IN, 8, "组合拆分入库", "group_record_details"),
    SPLIT_OUT(InOutType.OUT, 9, "组合拆分出库", "group_record_details");

    /**
     * 出入库类型
     */
    private final InOutType type;

    /**
     * 详细类型
     */
    private final Integer detailType;

    /**
     * 信息类型说明
     */
    private final String detailTypeRemark;

    /**
     * 关联业务表名
     */
    private final String linkBusinessTableName;

}
